Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -14,5 +14,5 @@
 
 # add two jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 2], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT sendjobs], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Sending 2 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
 
@@ -22,5 +22,5 @@
 
 # shutdown
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [ignore], [ignore], [kill $server_pid])
 
 # check that server is truely down
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -14,9 +14,9 @@
 
 # check jobs
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
 
 # shutdown
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [ignore], [ignore], [kill $server_pid])
 
 # check that server is truely down
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -14,8 +14,8 @@
 
 # add two jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 2], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT sendjobs], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Sending 2 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
 # Checking results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
 # start working
@@ -23,8 +23,8 @@
 AT_CHECK([fgrep "Calculating job #1" stdout], 0, [ignore], [ignore], [kill $server_pid])
 # Checking results 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "1 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
-# get first result 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultGetter 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+# get first result
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT receiveresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Received 1 results" stdout], 0, [ignore], [ignore], [kill $server_pid])
 AT_CHECK([fgrep -c "Nothing" stdout], 0, [stdout], [ignore], [kill $server_pid])
@@ -33,17 +33,17 @@
 AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Calculating job #2" stdout], 0, [ignore], [ignore], [kill $server_pid])
-# Checking results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+# Checking results 
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "1 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
-# get second result
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultGetter 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+# get second result 
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT receiveresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Received 1 results" stdout], 0, [ignore], [ignore], [kill $server_pid])
 AT_CHECK([fgrep -c "Nothing" stdout], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([grep "1" stdout], 0, [ignore], [ignore], [kill $server_pid])
 # get no more results 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultGetter 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT receiveresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([grep "Nothing" stdout], 1, [ignore], [ignore], [kill $server_pid])
 # shutdown
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [stdout], [ignore], [kill $server_pid])
 
 # check that server is truely down
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -14,9 +14,9 @@
 
 # directly obtain 0 results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultGetter 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT receiveresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "RESULT" stdout], 1, [stdout], [ignore], [kill $server_pid])
 
 # shutdown
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [ignore], [ignore], [kill $server_pid])
 
 # check that server is truely down
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -14,5 +14,5 @@
 
 # shutdown server again
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([grep "Operation completed." stdout], 0, [stdout], [ignore], [kill $server_pid])
 
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at	(revision 167b63307c9c9cb05dd758fe1c2b80be02bdb4a2)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at	(revision 7ca772e57b80836e2c9d001aebd41bf0608a0b41)
@@ -13,6 +13,6 @@
 AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
 
-# add one jobs
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 1], 0, [ignore], [ignore], [kill $server_pid])
+# add two jobs 
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT sendjobs], 0, [ignore], [ignore], [kill $server_pid])
 
 # first worker has a job
@@ -20,10 +20,14 @@
 AT_CHECK([fgrep "Job id: 1" stdout], 0, [ignore], [ignore], [kill $server_pid])
 
+# second worker has a job
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Job id: 2" stdout], 0, [ignore], [ignore], [kill $server_pid])
+
 # check number of done jobs 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "1 jobs are calculated so far" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "2 jobs are calculated so far" stdout], 0, [ignore], [ignore], [kill $server_pid])
 
-# shutdown controller socket
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Shutdowner 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [kill $server_pid])
+# shutdown controller socket 
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT shutdown], 0, [stdout], [ignore], [kill $server_pid])
 
 # check that server is truely down
